Name:           crda
Version:        3.18_2018.05.31
Release:        6
Summary:        Central Regulatory Domain Agent
License:        ISC
URL:            http://wireless.kernel.org/en/developers/Regulatory/CRDA
Source0:        http://www.kernel.org/pub/software/network/crda/crda-3.18.tar.xz
Source1:        http://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-2018.05.31.tar.xz

BuildRequires:  kernel-headers >= 2.6.27 libnl3-devel libgcrypt-devel systemd-devel
BuildRequires:  pkgconfig python2 m2crypto python2-future python2-attrs openssl gcc

Requires:       udev iw systemd >= 190

Patch0001:      crda-remove-ldconfig.patch
Patch0002:      crda-ldflags.patch

%description
CRDA acts as the udev helper for communication between the kernel and userspace for regulatory
compliance. It relies on nl80211 for communication. CRDA is intended to be run only through
udev communication from the kernel. The user should never have to run it manually except if
debugging udev issues.

%package        devel
Summary:        Header files for using crda

%description    devel
This package contains development files for crda.

%package        help
Summary:        Help document for crda
Requires:       crda = %{version}-%{release}
BuildArch:      noarch

%description    help
This package contains help documentation files for crda.

%prep
%autosetup -p1 -c -a 0 -a 1

%build
export CFLAGS="%{optflags} -Wno-error=unused-const-variable"
export LDFLAGS="%{?__global_ldflags}"

cd wireless-regdb-2018.05.31
%make_build maintainer-clean
%make_build REGDB_PRIVKEY=key.priv.pem REGDB_PUBKEY=key.pub.pem FIRMWARE_PATH=/usr/lib/firmware

cd ../crda-3.18
cp ../wireless-regdb-2018.05.31/key.pub.pem pubkeys
%make_build SBINDIR=%{_sbindir}/ LIBDIR=%{_libdir}/ REG_BIN=../wireless-regdb-2018.05.31/regulatory.bin

%install
cd crda-3.18
cp LICENSE LICENSE.crda
cp README README.crda
%make_install MANDIR=%{_mandir}/ SBINDIR=%{_sbindir}/ LIBDIR=%{_libdir}/

cd ../wireless-regdb-2018.05.31
cp LICENSE LICENSE.wireless-regdb
cp README README.wireless-regdb
%make_install MANDIR=%{_mandir} FIRMWARE_PATH=/usr/lib/firmware

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}/lib/udev/rules.d/* %{buildroot}%{_udevrulesdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license crda-3.18/LICENSE.crda wireless-regdb-2018.05.31/LICENSE.wireless-regdb
%{_sbindir}/{crda,regdbdump}
%{_libdir}/libreg.so
%{_udevrulesdir}/
/usr/lib/crda
/usr/lib/firmware/regulatory.db*

%files devel
%{_includedir}/reglib/*.h

%files help
%doc crda-3.18/README.crda wireless-regdb-2018.05.31/README.wireless-regdb
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*


%changelog
* Thu Jul 19 2018 John W. Linville <linville@redhat.com> - 3.18_2018.05.31-5
- init package
